com.h3c.sdn.adm.region

## Interface RegionService

-     public interface RegionService

  Service for partitioning the control domain elements based on the controller instances managing them in specific roles.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(RegionListener listener)` Subscribe to Region change notifications by supplying a callback implementation.
    `void` | `createRegion(Region region)` Facilitates creation of a new network region.
    `void` | `createRegion(Region region, boolean dataSyncOnly)` Facilitates creation of new network region, without radiating that to the network elements.
    `void` | `createRegions(Collection<Region> regions, boolean dataSyncOnly)` Facilitates creation of new network regions, without radiating that to the network elements.
    `void` | `deleteRegion(Region region)` Removes a given region from the controller realm.
    `void` | `deleteRegion(Region region, boolean dataSyncOnly)` Removes a given region from the controller realm.
    `Collection<Region>` | `getRegions()` Retrieves all the regions that have been configured currently.
    `void` | `removeListener(RegionListener listener)` Subscribe to Region change notifications by supplying a callback implementation.
    `void` | `updateRegion(Region region)` Updates a region which was already in existence.
    `void` | `updateRegion(Region region, boolean dataSyncOnly)` Updates a region which was already in existence.Exists for data-sync amongst the controller cluster.

- - ### Method Detail

    - #### createRegion

          void createRegion(Region region)

      Facilitates creation of a new network region.
      Parameters:
        `region` - Region which abstracts the participants of the region

    - #### createRegions

          void createRegions(Collection<Region> regions,
                           boolean dataSyncOnly)

      Facilitates creation of new network regions, without radiating that to the network elements. Exists for data-sync amongst the controller cluster.
      Parameters:
        `regions` - List of Regions which abstracts the participants of the regions.
        `dataSyncOnly` - `true` if its purely a data-sync create operation; `false` if the region information has to be delegated to concerned network elements.

    - #### createRegion

          void createRegion(Region region,
                          boolean dataSyncOnly)

      Facilitates creation of new network region, without radiating that to the network elements. Exists for data-sync amongst the controller cluster.
      Parameters:
        `region` - Region which abstracts the participants of the region.
        `dataSyncOnly` - `true` if its purely a data-sync create operation; `false` if the region information has to be delegated to concerned network elements.

    - #### getRegions

          Collection<Region> getRegions()

      Retrieves all the regions that have been configured currently.
      Returns:
        collection of regions

    - #### updateRegion

          void updateRegion(Region region)

      Updates a region which was already in existence.
      Parameters:
        `region` - the region abstraction containing new attributes

    - #### updateRegion

          void updateRegion(Region region,
                          boolean dataSyncOnly)

      Updates a region which was already in existence.Exists for data-sync amongst the controller cluster.
      Parameters:
        `region` - the region abstraction containing new attributes
        `dataSyncOnly` - true value indicates its purely a data-sync update op

    - #### deleteRegion

          void deleteRegion(Region region)

      Removes a given region from the controller realm.
      Parameters:
        `region` - the region to be removed

    - #### deleteRegion

          void deleteRegion(Region region,
                          boolean dataSyncOnly)

      Removes a given region from the controller realm. Exists for data-sync amongst the controller cluster.
      Parameters:
        `region` - the region to be removed
        `dataSyncOnly` - true value indicates its purely a data-sync delete op

    - #### addListener

          void addListener(RegionListener listener)

      Subscribe to Region change notifications by supplying a callback implementation.
      Parameters:
        `listener` - a RegionListener implementation

    - #### removeListener

          void removeListener(RegionListener listener)

      Subscribe to Region change notifications by supplying a callback implementation.
      Parameters:
        `listener` - a RegionListener implementation

Copyright © 2014. All Rights Reserved.